import java.util.ArrayList;
import java.util.List;
import java.util.function.Predicate;
import java.util.stream.*;


class CaesarCypher  {

	static List<Character> characterStream(char[] text) {
		List<Character> result = new ArrayList<>();
		for (char c : text) 
			result.add(c);
		return result;
	}

	static char ceaserShift(char chr) {
		if (!Character.isLetter(chr))
			return chr;
		boolean isUpper = Character.isUpperCase(chr);
		char c = Character.toLowerCase(chr);
		int low = (int)('a');
		int high = (int)('z');
		int i = (int)c + 13;
		c = (char)(i > high ? i - 26 : i);
		return isUpper ? Character.toUpperCase(c) : c;
	}

	public static void main(String[] args) {
		String input;
		if (args != null && args.length > 0)
			input = args[0];
		else 
			input = "orjner 12vqrf 7 bs znepu";
		Predicate<Character> isNotDigit = (c -> !Character.isDigit(c));
		char[] text = input.toCharArray();
		List<Character> charStream = 
				characterStream(text);
		// Stream.of(text).generate(Character::new);
		// charStream.stream().forEach(System.out::println); 
		String output = charStream.stream()
						// .peek(System.out::print)
						.filter(isNotDigit)
						.map(CaesarCypher::ceaserShift)
						// .peek(System.out::print)
						.map(String::valueOf)
						.reduce("", 
							(target,c) -> String.format("%s%s", target, c));
						// .collect(Collectors.joining());

		System.out.println(output.replaceAll("[\\s]+"," "));
	}
	
}